Downgrade from Baseband 6.15.00 to 5.15.04 or 5.14.02, Imminent!

iPhone 3G and 3GS users, those who took the risk of upgrading their iPhone baseband from 5.14.02 or 5.15.04 to 6.15.00 (iPad 3.2.2 baseband) – there’s something good news for you.

The Dev Team first warned that users who have their iPhone 3G or 3GS stuck on baseband 5.14.02 or 5.15.04 have to upgrade their baseband to 6.15.00 for them to be able to unlock their iDevice. But you have to accept the fact that you cannot downgrade to lower baseband anymore.

It appears that the story will change. The Dev Team is working on an imminent method to downgrade baseband on iDevices, according to the recent tweet of @MuscleNerd from the iPhone Dev Team.

Well, this is actually extremely good news for those who have been longing for such method. Surely, I’ll let you know once the Dev Team provided us some updates. Stay tuned!

Update 1: iPhone 3G Unlocked at Baseband 6.15.00 for Life, Downgrade to 5.13.04 in the Works.

To receive latest technology updates, you can subscribe either by E-mail or by RSS Feeds. Follow me also on Twitter.

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>